Subject: Re: NetBSD/amd64 and cvsup? Impossible?
To: None <>
From: Viktor Holmlund <>
List: pkgsrc-users
Date: 02/05/2007 10:30:31
I have tested your attached patches now, but it doesn't work either.
lang/ezm3 doesn't build under netbsd/amd64 and all I get is a lot of
assembler errors.
As I've said before, I will get cvsup/cvsupd to build and run under
netbsd/amd64 and it depends on ezm3. I have also tried to install the
cvsup-bin package (that doesn't need ezm3 to build) with "COMPAT_NETBSD32"
in my kernel and with (make install MACHINE_ARCH=i386) but it faild.
I have also tested to install the newest ezm3 and cvsup binary packages
builded on a netbsd/i386 machine without success.

Do you have any clue?

Anyway, I found these patches to get ezm3 to build under freebsd/amd64
( perhaps these can help
someone to port ezm3 to netbsd/amd64, but I think its much job, modula3
isn't easy.

Best regars,

Viktor Holmlund